// Code generated by mockery v2.42.3. DO NOT EDIT.

package mock_client_with_responses_interface

import (
	context "context"

	api "gitlab.com/commonground/nlx/fsc-nlx/manager/ports/ext/rest/api"

	io "io"

	mock "github.com/stretchr/testify/mock"

	models "gitlab.com/commonground/nlx/fsc-nlx/manager/ports/ext/rest/api/models"
)

// MockClientWithResponsesInterface is an autogenerated mock type for the ClientWithResponsesInterface type
type MockClientWithResponsesInterface struct {
	mock.Mock
}

type MockClientWithResponsesInterface_Expecter struct {
	mock *mock.Mock
}

func (_m *MockClientWithResponsesInterface) EXPECT() *MockClientWithResponsesInterface_Expecter {
	return &MockClientWithResponsesInterface_Expecter{mock: &_m.Mock}
}

// AcceptContractWithBodyWithResponse provides a mock function with given fields: ctx, hash, params, contentType, body, reqEditors
func (_m *MockClientWithResponsesInterface) AcceptContractWithBodyWithResponse(ctx context.Context, hash string, params *models.AcceptContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*api.AcceptContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for AcceptContractWithBodyWithResponse")
	}

	var r0 *api.AcceptContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.AcceptContractResponse, error)); ok {
		return rf(ctx, hash, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) *api.AcceptContractResponse); ok {
		r0 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.AcceptContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'AcceptContractWithBodyWithResponse'
type MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call struct {
	*mock.Call
}

// AcceptContractWithBodyWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.AcceptContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) AcceptContractWithBodyWithResponse(ctx interface{}, hash interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call {
	return &MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call{Call: _e.mock.On("AcceptContractWithBodyWithResponse",
		append([]interface{}{ctx, hash, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call) Run(run func(ctx context.Context, hash string, params *models.AcceptContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-5)
		for i, a := range args[5:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.AcceptContractParams), args[3].(string), args[4].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call) Return(_a0 *api.AcceptContractResponse, _a1 error) *MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call) RunAndReturn(run func(context.Context, string, *models.AcceptContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.AcceptContractResponse, error)) *MockClientWithResponsesInterface_AcceptContractWithBodyWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// AcceptContractWithResponse provides a mock function with given fields: ctx, hash, params, body, reqEditors
func (_m *MockClientWithResponsesInterface) AcceptContractWithResponse(ctx context.Context, hash string, params *models.AcceptContractParams, body models.AcceptContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*api.AcceptContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for AcceptContractWithResponse")
	}

	var r0 *api.AcceptContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) (*api.AcceptContractResponse, error)); ok {
		return rf(ctx, hash, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) *api.AcceptContractResponse); ok {
		r0 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.AcceptContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_AcceptContractWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'AcceptContractWithResponse'
type MockClientWithResponsesInterface_AcceptContractWithResponse_Call struct {
	*mock.Call
}

// AcceptContractWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.AcceptContractParams
//   - body models.AcceptContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) AcceptContractWithResponse(ctx interface{}, hash interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_AcceptContractWithResponse_Call {
	return &MockClientWithResponsesInterface_AcceptContractWithResponse_Call{Call: _e.mock.On("AcceptContractWithResponse",
		append([]interface{}{ctx, hash, params, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_AcceptContractWithResponse_Call) Run(run func(ctx context.Context, hash string, params *models.AcceptContractParams, body models.AcceptContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_AcceptContractWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.AcceptContractParams), args[3].(models.AcceptContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_AcceptContractWithResponse_Call) Return(_a0 *api.AcceptContractResponse, _a1 error) *MockClientWithResponsesInterface_AcceptContractWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_AcceptContractWithResponse_Call) RunAndReturn(run func(context.Context, string, *models.AcceptContractParams, models.AcceptContractJSONRequestBody, ...api.RequestEditorFn) (*api.AcceptContractResponse, error)) *MockClientWithResponsesInterface_AcceptContractWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// AnnounceWithResponse provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientWithResponsesInterface) AnnounceWithResponse(ctx context.Context, params *models.AnnounceParams, reqEditors ...api.RequestEditorFn) (*api.AnnounceResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for AnnounceWithResponse")
	}

	var r0 *api.AnnounceResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) (*api.AnnounceResponse, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) *api.AnnounceResponse); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.AnnounceResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_AnnounceWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'AnnounceWithResponse'
type MockClientWithResponsesInterface_AnnounceWithResponse_Call struct {
	*mock.Call
}

// AnnounceWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.AnnounceParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) AnnounceWithResponse(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_AnnounceWithResponse_Call {
	return &MockClientWithResponsesInterface_AnnounceWithResponse_Call{Call: _e.mock.On("AnnounceWithResponse",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_AnnounceWithResponse_Call) Run(run func(ctx context.Context, params *models.AnnounceParams, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_AnnounceWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.AnnounceParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_AnnounceWithResponse_Call) Return(_a0 *api.AnnounceResponse, _a1 error) *MockClientWithResponsesInterface_AnnounceWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_AnnounceWithResponse_Call) RunAndReturn(run func(context.Context, *models.AnnounceParams, ...api.RequestEditorFn) (*api.AnnounceResponse, error)) *MockClientWithResponsesInterface_AnnounceWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetContractsWithResponse provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientWithResponsesInterface) GetContractsWithResponse(ctx context.Context, params *models.GetContractsParams, reqEditors ...api.RequestEditorFn) (*api.GetContractsResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetContractsWithResponse")
	}

	var r0 *api.GetContractsResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) (*api.GetContractsResponse, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) *api.GetContractsResponse); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetContractsResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetContractsWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetContractsWithResponse'
type MockClientWithResponsesInterface_GetContractsWithResponse_Call struct {
	*mock.Call
}

// GetContractsWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetContractsParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetContractsWithResponse(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetContractsWithResponse_Call {
	return &MockClientWithResponsesInterface_GetContractsWithResponse_Call{Call: _e.mock.On("GetContractsWithResponse",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetContractsWithResponse_Call) Run(run func(ctx context.Context, params *models.GetContractsParams, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetContractsWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetContractsParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetContractsWithResponse_Call) Return(_a0 *api.GetContractsResponse, _a1 error) *MockClientWithResponsesInterface_GetContractsWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetContractsWithResponse_Call) RunAndReturn(run func(context.Context, *models.GetContractsParams, ...api.RequestEditorFn) (*api.GetContractsResponse, error)) *MockClientWithResponsesInterface_GetContractsWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetHealthWithResponse provides a mock function with given fields: ctx, reqEditors
func (_m *MockClientWithResponsesInterface) GetHealthWithResponse(ctx context.Context, reqEditors ...api.RequestEditorFn) (*api.GetHealthResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetHealthWithResponse")
	}

	var r0 *api.GetHealthResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) (*api.GetHealthResponse, error)); ok {
		return rf(ctx, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) *api.GetHealthResponse); ok {
		r0 = rf(ctx, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetHealthResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetHealthWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetHealthWithResponse'
type MockClientWithResponsesInterface_GetHealthWithResponse_Call struct {
	*mock.Call
}

// GetHealthWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetHealthWithResponse(ctx interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetHealthWithResponse_Call {
	return &MockClientWithResponsesInterface_GetHealthWithResponse_Call{Call: _e.mock.On("GetHealthWithResponse",
		append([]interface{}{ctx}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetHealthWithResponse_Call) Run(run func(ctx context.Context, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetHealthWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-1)
		for i, a := range args[1:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetHealthWithResponse_Call) Return(_a0 *api.GetHealthResponse, _a1 error) *MockClientWithResponsesInterface_GetHealthWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetHealthWithResponse_Call) RunAndReturn(run func(context.Context, ...api.RequestEditorFn) (*api.GetHealthResponse, error)) *MockClientWithResponsesInterface_GetHealthWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetJSONWebKeySetWithResponse provides a mock function with given fields: ctx, reqEditors
func (_m *MockClientWithResponsesInterface) GetJSONWebKeySetWithResponse(ctx context.Context, reqEditors ...api.RequestEditorFn) (*api.GetJSONWebKeySetResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetJSONWebKeySetWithResponse")
	}

	var r0 *api.GetJSONWebKeySetResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) (*api.GetJSONWebKeySetResponse, error)); ok {
		return rf(ctx, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) *api.GetJSONWebKeySetResponse); ok {
		r0 = rf(ctx, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetJSONWebKeySetResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetJSONWebKeySetWithResponse'
type MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call struct {
	*mock.Call
}

// GetJSONWebKeySetWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetJSONWebKeySetWithResponse(ctx interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call {
	return &MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call{Call: _e.mock.On("GetJSONWebKeySetWithResponse",
		append([]interface{}{ctx}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call) Run(run func(ctx context.Context, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-1)
		for i, a := range args[1:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call) Return(_a0 *api.GetJSONWebKeySetResponse, _a1 error) *MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call) RunAndReturn(run func(context.Context, ...api.RequestEditorFn) (*api.GetJSONWebKeySetResponse, error)) *MockClientWithResponsesInterface_GetJSONWebKeySetWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetLogsWithResponse provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientWithResponsesInterface) GetLogsWithResponse(ctx context.Context, params *models.GetLogsParams, reqEditors ...api.RequestEditorFn) (*api.GetLogsResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetLogsWithResponse")
	}

	var r0 *api.GetLogsResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) (*api.GetLogsResponse, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) *api.GetLogsResponse); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetLogsResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetLogsWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetLogsWithResponse'
type MockClientWithResponsesInterface_GetLogsWithResponse_Call struct {
	*mock.Call
}

// GetLogsWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetLogsParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetLogsWithResponse(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetLogsWithResponse_Call {
	return &MockClientWithResponsesInterface_GetLogsWithResponse_Call{Call: _e.mock.On("GetLogsWithResponse",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetLogsWithResponse_Call) Run(run func(ctx context.Context, params *models.GetLogsParams, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetLogsWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetLogsParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetLogsWithResponse_Call) Return(_a0 *api.GetLogsResponse, _a1 error) *MockClientWithResponsesInterface_GetLogsWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetLogsWithResponse_Call) RunAndReturn(run func(context.Context, *models.GetLogsParams, ...api.RequestEditorFn) (*api.GetLogsResponse, error)) *MockClientWithResponsesInterface_GetLogsWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetPeerInfoWithResponse provides a mock function with given fields: ctx, reqEditors
func (_m *MockClientWithResponsesInterface) GetPeerInfoWithResponse(ctx context.Context, reqEditors ...api.RequestEditorFn) (*api.GetPeerInfoResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetPeerInfoWithResponse")
	}

	var r0 *api.GetPeerInfoResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) (*api.GetPeerInfoResponse, error)); ok {
		return rf(ctx, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, ...api.RequestEditorFn) *api.GetPeerInfoResponse); ok {
		r0 = rf(ctx, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetPeerInfoResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetPeerInfoWithResponse'
type MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call struct {
	*mock.Call
}

// GetPeerInfoWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetPeerInfoWithResponse(ctx interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call {
	return &MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call{Call: _e.mock.On("GetPeerInfoWithResponse",
		append([]interface{}{ctx}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call) Run(run func(ctx context.Context, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-1)
		for i, a := range args[1:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call) Return(_a0 *api.GetPeerInfoResponse, _a1 error) *MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call) RunAndReturn(run func(context.Context, ...api.RequestEditorFn) (*api.GetPeerInfoResponse, error)) *MockClientWithResponsesInterface_GetPeerInfoWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetPeersWithResponse provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientWithResponsesInterface) GetPeersWithResponse(ctx context.Context, params *models.GetPeersParams, reqEditors ...api.RequestEditorFn) (*api.GetPeersResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetPeersWithResponse")
	}

	var r0 *api.GetPeersResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) (*api.GetPeersResponse, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) *api.GetPeersResponse); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetPeersResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetPeersWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetPeersWithResponse'
type MockClientWithResponsesInterface_GetPeersWithResponse_Call struct {
	*mock.Call
}

// GetPeersWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetPeersParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetPeersWithResponse(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetPeersWithResponse_Call {
	return &MockClientWithResponsesInterface_GetPeersWithResponse_Call{Call: _e.mock.On("GetPeersWithResponse",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetPeersWithResponse_Call) Run(run func(ctx context.Context, params *models.GetPeersParams, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetPeersWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetPeersParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetPeersWithResponse_Call) Return(_a0 *api.GetPeersResponse, _a1 error) *MockClientWithResponsesInterface_GetPeersWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetPeersWithResponse_Call) RunAndReturn(run func(context.Context, *models.GetPeersParams, ...api.RequestEditorFn) (*api.GetPeersResponse, error)) *MockClientWithResponsesInterface_GetPeersWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetServicesWithResponse provides a mock function with given fields: ctx, params, reqEditors
func (_m *MockClientWithResponsesInterface) GetServicesWithResponse(ctx context.Context, params *models.GetServicesParams, reqEditors ...api.RequestEditorFn) (*api.GetServicesResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetServicesWithResponse")
	}

	var r0 *api.GetServicesResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) (*api.GetServicesResponse, error)); ok {
		return rf(ctx, params, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) *api.GetServicesResponse); ok {
		r0 = rf(ctx, params, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetServicesResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetServicesWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetServicesWithResponse'
type MockClientWithResponsesInterface_GetServicesWithResponse_Call struct {
	*mock.Call
}

// GetServicesWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.GetServicesParams
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetServicesWithResponse(ctx interface{}, params interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetServicesWithResponse_Call {
	return &MockClientWithResponsesInterface_GetServicesWithResponse_Call{Call: _e.mock.On("GetServicesWithResponse",
		append([]interface{}{ctx, params}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetServicesWithResponse_Call) Run(run func(ctx context.Context, params *models.GetServicesParams, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetServicesWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.GetServicesParams), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetServicesWithResponse_Call) Return(_a0 *api.GetServicesResponse, _a1 error) *MockClientWithResponsesInterface_GetServicesWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetServicesWithResponse_Call) RunAndReturn(run func(context.Context, *models.GetServicesParams, ...api.RequestEditorFn) (*api.GetServicesResponse, error)) *MockClientWithResponsesInterface_GetServicesWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetTokenWithBodyWithResponse provides a mock function with given fields: ctx, contentType, body, reqEditors
func (_m *MockClientWithResponsesInterface) GetTokenWithBodyWithResponse(ctx context.Context, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*api.GetTokenResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetTokenWithBodyWithResponse")
	}

	var r0 *api.GetTokenResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, io.Reader, ...api.RequestEditorFn) (*api.GetTokenResponse, error)); ok {
		return rf(ctx, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, io.Reader, ...api.RequestEditorFn) *api.GetTokenResponse); ok {
		r0 = rf(ctx, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetTokenResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTokenWithBodyWithResponse'
type MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call struct {
	*mock.Call
}

// GetTokenWithBodyWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetTokenWithBodyWithResponse(ctx interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call {
	return &MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call{Call: _e.mock.On("GetTokenWithBodyWithResponse",
		append([]interface{}{ctx, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call) Run(run func(ctx context.Context, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-3)
		for i, a := range args[3:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call) Return(_a0 *api.GetTokenResponse, _a1 error) *MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call) RunAndReturn(run func(context.Context, string, io.Reader, ...api.RequestEditorFn) (*api.GetTokenResponse, error)) *MockClientWithResponsesInterface_GetTokenWithBodyWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// GetTokenWithFormdataBodyWithResponse provides a mock function with given fields: ctx, body, reqEditors
func (_m *MockClientWithResponsesInterface) GetTokenWithFormdataBodyWithResponse(ctx context.Context, body models.GetTokenFormdataRequestBody, reqEditors ...api.RequestEditorFn) (*api.GetTokenResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for GetTokenWithFormdataBodyWithResponse")
	}

	var r0 *api.GetTokenResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) (*api.GetTokenResponse, error)); ok {
		return rf(ctx, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) *api.GetTokenResponse); ok {
		r0 = rf(ctx, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.GetTokenResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetTokenWithFormdataBodyWithResponse'
type MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call struct {
	*mock.Call
}

// GetTokenWithFormdataBodyWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - body models.GetTokenFormdataRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) GetTokenWithFormdataBodyWithResponse(ctx interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call {
	return &MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call{Call: _e.mock.On("GetTokenWithFormdataBodyWithResponse",
		append([]interface{}{ctx, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call) Run(run func(ctx context.Context, body models.GetTokenFormdataRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-2)
		for i, a := range args[2:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(models.GetTokenFormdataRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call) Return(_a0 *api.GetTokenResponse, _a1 error) *MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call) RunAndReturn(run func(context.Context, models.GetTokenFormdataRequestBody, ...api.RequestEditorFn) (*api.GetTokenResponse, error)) *MockClientWithResponsesInterface_GetTokenWithFormdataBodyWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// RejectContractWithBodyWithResponse provides a mock function with given fields: ctx, hash, params, contentType, body, reqEditors
func (_m *MockClientWithResponsesInterface) RejectContractWithBodyWithResponse(ctx context.Context, hash string, params *models.RejectContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*api.RejectContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RejectContractWithBodyWithResponse")
	}

	var r0 *api.RejectContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.RejectContractResponse, error)); ok {
		return rf(ctx, hash, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) *api.RejectContractResponse); ok {
		r0 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.RejectContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RejectContractWithBodyWithResponse'
type MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call struct {
	*mock.Call
}

// RejectContractWithBodyWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RejectContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) RejectContractWithBodyWithResponse(ctx interface{}, hash interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call {
	return &MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call{Call: _e.mock.On("RejectContractWithBodyWithResponse",
		append([]interface{}{ctx, hash, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call) Run(run func(ctx context.Context, hash string, params *models.RejectContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-5)
		for i, a := range args[5:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RejectContractParams), args[3].(string), args[4].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call) Return(_a0 *api.RejectContractResponse, _a1 error) *MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call) RunAndReturn(run func(context.Context, string, *models.RejectContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.RejectContractResponse, error)) *MockClientWithResponsesInterface_RejectContractWithBodyWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// RejectContractWithResponse provides a mock function with given fields: ctx, hash, params, body, reqEditors
func (_m *MockClientWithResponsesInterface) RejectContractWithResponse(ctx context.Context, hash string, params *models.RejectContractParams, body models.RejectContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*api.RejectContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RejectContractWithResponse")
	}

	var r0 *api.RejectContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) (*api.RejectContractResponse, error)); ok {
		return rf(ctx, hash, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) *api.RejectContractResponse); ok {
		r0 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.RejectContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_RejectContractWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RejectContractWithResponse'
type MockClientWithResponsesInterface_RejectContractWithResponse_Call struct {
	*mock.Call
}

// RejectContractWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RejectContractParams
//   - body models.RejectContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) RejectContractWithResponse(ctx interface{}, hash interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_RejectContractWithResponse_Call {
	return &MockClientWithResponsesInterface_RejectContractWithResponse_Call{Call: _e.mock.On("RejectContractWithResponse",
		append([]interface{}{ctx, hash, params, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_RejectContractWithResponse_Call) Run(run func(ctx context.Context, hash string, params *models.RejectContractParams, body models.RejectContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_RejectContractWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RejectContractParams), args[3].(models.RejectContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_RejectContractWithResponse_Call) Return(_a0 *api.RejectContractResponse, _a1 error) *MockClientWithResponsesInterface_RejectContractWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_RejectContractWithResponse_Call) RunAndReturn(run func(context.Context, string, *models.RejectContractParams, models.RejectContractJSONRequestBody, ...api.RequestEditorFn) (*api.RejectContractResponse, error)) *MockClientWithResponsesInterface_RejectContractWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// RevokeContractWithBodyWithResponse provides a mock function with given fields: ctx, hash, params, contentType, body, reqEditors
func (_m *MockClientWithResponsesInterface) RevokeContractWithBodyWithResponse(ctx context.Context, hash string, params *models.RevokeContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*api.RevokeContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RevokeContractWithBodyWithResponse")
	}

	var r0 *api.RevokeContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.RevokeContractResponse, error)); ok {
		return rf(ctx, hash, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) *api.RevokeContractResponse); ok {
		r0 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.RevokeContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RevokeContractWithBodyWithResponse'
type MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call struct {
	*mock.Call
}

// RevokeContractWithBodyWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RevokeContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) RevokeContractWithBodyWithResponse(ctx interface{}, hash interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call {
	return &MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call{Call: _e.mock.On("RevokeContractWithBodyWithResponse",
		append([]interface{}{ctx, hash, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call) Run(run func(ctx context.Context, hash string, params *models.RevokeContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-5)
		for i, a := range args[5:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RevokeContractParams), args[3].(string), args[4].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call) Return(_a0 *api.RevokeContractResponse, _a1 error) *MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call) RunAndReturn(run func(context.Context, string, *models.RevokeContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.RevokeContractResponse, error)) *MockClientWithResponsesInterface_RevokeContractWithBodyWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// RevokeContractWithResponse provides a mock function with given fields: ctx, hash, params, body, reqEditors
func (_m *MockClientWithResponsesInterface) RevokeContractWithResponse(ctx context.Context, hash string, params *models.RevokeContractParams, body models.RevokeContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*api.RevokeContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, hash, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for RevokeContractWithResponse")
	}

	var r0 *api.RevokeContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) (*api.RevokeContractResponse, error)); ok {
		return rf(ctx, hash, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) *api.RevokeContractResponse); ok {
		r0 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.RevokeContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, hash, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_RevokeContractWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RevokeContractWithResponse'
type MockClientWithResponsesInterface_RevokeContractWithResponse_Call struct {
	*mock.Call
}

// RevokeContractWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - hash string
//   - params *models.RevokeContractParams
//   - body models.RevokeContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) RevokeContractWithResponse(ctx interface{}, hash interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_RevokeContractWithResponse_Call {
	return &MockClientWithResponsesInterface_RevokeContractWithResponse_Call{Call: _e.mock.On("RevokeContractWithResponse",
		append([]interface{}{ctx, hash, params, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_RevokeContractWithResponse_Call) Run(run func(ctx context.Context, hash string, params *models.RevokeContractParams, body models.RevokeContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_RevokeContractWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(string), args[2].(*models.RevokeContractParams), args[3].(models.RevokeContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_RevokeContractWithResponse_Call) Return(_a0 *api.RevokeContractResponse, _a1 error) *MockClientWithResponsesInterface_RevokeContractWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_RevokeContractWithResponse_Call) RunAndReturn(run func(context.Context, string, *models.RevokeContractParams, models.RevokeContractJSONRequestBody, ...api.RequestEditorFn) (*api.RevokeContractResponse, error)) *MockClientWithResponsesInterface_RevokeContractWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// SubmitContractWithBodyWithResponse provides a mock function with given fields: ctx, params, contentType, body, reqEditors
func (_m *MockClientWithResponsesInterface) SubmitContractWithBodyWithResponse(ctx context.Context, params *models.SubmitContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn) (*api.SubmitContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params, contentType, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for SubmitContractWithBodyWithResponse")
	}

	var r0 *api.SubmitContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.SubmitContractResponse, error)); ok {
		return rf(ctx, params, contentType, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) *api.SubmitContractResponse); ok {
		r0 = rf(ctx, params, contentType, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.SubmitContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, contentType, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'SubmitContractWithBodyWithResponse'
type MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call struct {
	*mock.Call
}

// SubmitContractWithBodyWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.SubmitContractParams
//   - contentType string
//   - body io.Reader
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) SubmitContractWithBodyWithResponse(ctx interface{}, params interface{}, contentType interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call {
	return &MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call{Call: _e.mock.On("SubmitContractWithBodyWithResponse",
		append([]interface{}{ctx, params, contentType, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call) Run(run func(ctx context.Context, params *models.SubmitContractParams, contentType string, body io.Reader, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-4)
		for i, a := range args[4:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.SubmitContractParams), args[2].(string), args[3].(io.Reader), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call) Return(_a0 *api.SubmitContractResponse, _a1 error) *MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call) RunAndReturn(run func(context.Context, *models.SubmitContractParams, string, io.Reader, ...api.RequestEditorFn) (*api.SubmitContractResponse, error)) *MockClientWithResponsesInterface_SubmitContractWithBodyWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// SubmitContractWithResponse provides a mock function with given fields: ctx, params, body, reqEditors
func (_m *MockClientWithResponsesInterface) SubmitContractWithResponse(ctx context.Context, params *models.SubmitContractParams, body models.SubmitContractJSONRequestBody, reqEditors ...api.RequestEditorFn) (*api.SubmitContractResponse, error) {
	_va := make([]interface{}, len(reqEditors))
	for _i := range reqEditors {
		_va[_i] = reqEditors[_i]
	}
	var _ca []interface{}
	_ca = append(_ca, ctx, params, body)
	_ca = append(_ca, _va...)
	ret := _m.Called(_ca...)

	if len(ret) == 0 {
		panic("no return value specified for SubmitContractWithResponse")
	}

	var r0 *api.SubmitContractResponse
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) (*api.SubmitContractResponse, error)); ok {
		return rf(ctx, params, body, reqEditors...)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) *api.SubmitContractResponse); ok {
		r0 = rf(ctx, params, body, reqEditors...)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*api.SubmitContractResponse)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) error); ok {
		r1 = rf(ctx, params, body, reqEditors...)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockClientWithResponsesInterface_SubmitContractWithResponse_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'SubmitContractWithResponse'
type MockClientWithResponsesInterface_SubmitContractWithResponse_Call struct {
	*mock.Call
}

// SubmitContractWithResponse is a helper method to define mock.On call
//   - ctx context.Context
//   - params *models.SubmitContractParams
//   - body models.SubmitContractJSONRequestBody
//   - reqEditors ...api.RequestEditorFn
func (_e *MockClientWithResponsesInterface_Expecter) SubmitContractWithResponse(ctx interface{}, params interface{}, body interface{}, reqEditors ...interface{}) *MockClientWithResponsesInterface_SubmitContractWithResponse_Call {
	return &MockClientWithResponsesInterface_SubmitContractWithResponse_Call{Call: _e.mock.On("SubmitContractWithResponse",
		append([]interface{}{ctx, params, body}, reqEditors...)...)}
}

func (_c *MockClientWithResponsesInterface_SubmitContractWithResponse_Call) Run(run func(ctx context.Context, params *models.SubmitContractParams, body models.SubmitContractJSONRequestBody, reqEditors ...api.RequestEditorFn)) *MockClientWithResponsesInterface_SubmitContractWithResponse_Call {
	_c.Call.Run(func(args mock.Arguments) {
		variadicArgs := make([]api.RequestEditorFn, len(args)-3)
		for i, a := range args[3:] {
			if a != nil {
				variadicArgs[i] = a.(api.RequestEditorFn)
			}
		}
		run(args[0].(context.Context), args[1].(*models.SubmitContractParams), args[2].(models.SubmitContractJSONRequestBody), variadicArgs...)
	})
	return _c
}

func (_c *MockClientWithResponsesInterface_SubmitContractWithResponse_Call) Return(_a0 *api.SubmitContractResponse, _a1 error) *MockClientWithResponsesInterface_SubmitContractWithResponse_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockClientWithResponsesInterface_SubmitContractWithResponse_Call) RunAndReturn(run func(context.Context, *models.SubmitContractParams, models.SubmitContractJSONRequestBody, ...api.RequestEditorFn) (*api.SubmitContractResponse, error)) *MockClientWithResponsesInterface_SubmitContractWithResponse_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockClientWithResponsesInterface creates a new instance of MockClientWithResponsesInterface. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockClientWithResponsesInterface(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockClientWithResponsesInterface {
	mock := &MockClientWithResponsesInterface{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
